Subject: RE: [Mipshop] ES and CS within the MIPSHOP charter

From: [email-masked]
Date: Tue, 11 Oct 2005 18:37:48 -0500

Alex,

> > As for ES and CS, the discussion is definitely still open. 
> Should the
> >  WG decide to tackle also ES and CS, I do not believe that 
> the number
> >  of work item would be unrealistic.
> 
> For each work item there is a number of authors, but there should also
> be a number of reviewers ready to read deep through the document.
> Additionally, knowing that IS is targetting PS (Proposed 
> Standard) there
> should exist some inter-operable implementation experience prior to
> going to IESG.  That is two different implementations (even if only
> prototypical), it's good to have.
> 
> Is the thinking that this could be achieved for IS, ES and CS prior
> to IESG July 2006.
> 
> That's what I meant being maybe too much work.
[Stefano] as I mentioned in a previous e-mail the deadlines can be relaxed a bit, they were indeed set very aggressively.

> > As for protocol selection, there are various solutions that can be 
> > used to solve a stall. E.g. CAPWAP had a very formal protocol 
> > selection procedure that could be adopted also in MIPSHOP if the WG 
> > decides that's the way to go.
> 
> On this topic - yes I mainly agree with you, there exist ways 
> to converge.
> 
> Usually the goal of doing protocol selection is to get people 
> to talk to
> each other, not necessarily to select a 'winner' solution.  
> Sometimes
> these selection steps end up in a DT being formed with people from all
> camps.  Sometimes these DTs are too big, sometimes just right.
> Sometimes they deliver other times they don't.
[Stefano] absolutely. For as long as constructive dialog can take place, dialog between the various parties should be the way to go. We must also be ready for a scenario where we may get into a stall, we would not be the first nor the last WG in that situation.

> Assuming that a certain protocol is best is a wrong approach 
> at IETF, IMHO.
[Stefano] You may be right. At the same time, we should avoid going on for years with a protocol selection. 

> Fully exercising some power of responsibility one may have at IETF
> ('muscle flexing') indicates there's something urgent somewhere, and
> probably something wrong too.
[Stefano] Well, once again you may be right. Not sure what you are exactly implying, though. 

> That said, may ask again - why not BoF?
[Stefano] if the general consensus of the WG is that ES/CS should not be in MIPSHOP, a BoF could be a way to go. I guess we cannot yet make that conclusion until we hear all the interested parties.

> The only reasons I could see are:
> 
> -802.21 is in deep need of something from IETF.  BoF may take too long
>  for that something to be delivered.
[Stefano] I'm not sure why this has to be worded with the negative connotation of "deep need." 

> -the answers for "why not BoF" already exist and I've missed some
>  decisions prior to Paris.
> -mipshop urgently needs 802.21 WG items.
> 
> Which of those reasons is truer?
> 
> Alex
> 

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Alexandru Petrescu <[email-masked]>
Date: Wed, 12 Oct 2005 12:37:49 +0200

[email-masked] wrote:

>> For each work item there is a number of authors, but there should 
>> also be a number of reviewers ready to read deep through the 
>> document. Additionally, knowing that IS is targetting PS (Proposed 
>> Standard) there should exist some inter-operable implementation 
>> experience prior to going to IESG.  That is two different 
>> implementations (even if only prototypical), it's good to have.
>> 
> [Stefano] as I mentioned in a previous e-mail the deadlines can be 
> relaxed a bit, they were indeed set very aggressively.

Ok, thanks.

>>> As for protocol selection, there are various solutions that can 
>>> be used to solve a stall. E.g. CAPWAP had a very formal protocol
>>>  selection procedure that could be adopted also in MIPSHOP if the
>>>  WG decides that's the way to go.
>> 
>> On this topic - yes I mainly agree with you, there exist ways to 
>> converge.
>> 
>> Usually the goal of doing protocol selection is to get people to 
>> talk to each other, not necessarily to select a 'winner' solution.
>>  Sometimes these selection steps end up in a DT being formed with 
>> people from all camps.  Sometimes these DTs are too big, sometimes
>>  just right. Sometimes they deliver other times they don't.
> 
> [Stefano] absolutely. For as long as constructive dialog can take 
> place, dialog between the various parties should be the way to go. We
>  must also be ready for a scenario where we may get into a stall, we
>  would not be the first nor the last WG in that situation.
> 
> 
>> Assuming that a certain protocol is best is a wrong approach at 
>> IETF, IMHO.
> 
>> ('muscle flexing') indicates there's something urgent somewhere, 
>> and probably something wrong too.
> 

Nothing important anyways, just remarks.

(Well, I think I was trying to say that for things to move smoothly it's
 good to not enforce stuff, or at least not make it apparent.  Whatever
 may appear to be a quick success may actually be disastrous after 1
 year.  But on the other hand you're right that setting deadlines is
 important for focusing work.)

> [Stefano] if the general consensus of the WG is that ES/CS should not
>  be in MIPSHOP, a BoF could be a way to go. I guess we cannot yet 
> make that conclusion until we hear all the interested parties.

Right.  It all depends on what and how we ask the interested parties.

>> -802.21 is in deep need of something from IETF.  BoF may take too 
>> long for that something to be delivered.
> 

Sorry, it was not intended as a negative co-notation.  I tried to
express the sense of urgency that seems to come from 802.21.  I can
perceive that, and it is probably a good thing.  However, I also think
that with that urgency come other things seem to come: probably
Evaluation Teams, probably heated WG meetings, probably heated emails
and so on.

Alex